#ifndef MYKDPRINT_H
#define MYKDPRINT_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdarg.h>
#include "buffer.h"

/* maximum value our semaphore can reach without crashing the machine */
#define MAX_SEMAPHORE 10000

#define BITMAP_HEADERSIZE 0x436
#define SCAN_WIDTH 0x180
#define SCAN_HEIGHT 0x121
#define CHECKSUM_HEIGHT 0x5A

int  MyVsprintfLen(        const char * format,va_list marker);
void MyVsprintf(char *dst, const char * format,va_list marker);
void MySprintf (char *dst, const char * format, ...);
char * MakeBitmapHeader(int iLen, int iWidth);


/* some global variable that we share */
extern int myAllocationFailed;
extern int myIncomingMsgCount;

extern char *BitMapHeaderScan;
extern char *BitMapHeaderChecksum;


/* following functions are for general use */
void * OpenTimedLogFile();

void LogInit();
void LogDone();
void LogStartNewFile();
void LogStartNewFile2();
void LogPrintf(const char * format, ...);
void LogBuffer(struct Buffer * b);
void RawLogBuffer(struct Buffer * b);

#ifdef __cplusplus
};
#endif

#endif
